"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const collapse = require("./collapse.js");
const useCollapse = require("./use-collapse.js");
const Vue = require("vue");
var collapse_vue_vue_type_script_setup_true_lang_default = /* @__PURE__ */ Vue.defineComponent({
  name: "ElCollapse",
  __name: "collapse",
  props: collapse.collapseProps,
  emits: collapse.collapseEmits,
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props;
    const { activeNames, setActiveNames } = useCollapse.useCollapse(props, __emit);
    const { rootKls } = useCollapse.useCollapseDOM(props);
    __expose({
      activeNames,
      setActiveNames
    });
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", { class: Vue.normalizeClass(Vue.unref(rootKls)) }, [Vue.renderSlot(_ctx.$slots, "default")], 2);
    };
  }
});
exports.default = collapse_vue_vue_type_script_setup_true_lang_default;
